// Zadatak04.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include<vector>
#include<string>
using namespace std;

int main()
{
    vector <char> poljeSamoglasnika;
    string recenica;
    int a = 0;
    int e = 0;
    int i = 0;
    int o = 0;
    int u = 0;

    cout << "Unesite recenicu: ";
    getline(cin, recenica);
    cout << endl;

    //prolazimo kroz svaki znak u recenici i provjeravamo da li je samoglasnik
    for (int i = 0; i < recenica.length(); i++)
    {
        switch (recenica[i])
        {
        case 'a':         
        case 'e':
        case 'i':
        case 'o':
        case 'u':
            poljeSamoglasnika.push_back(recenica[i]);
            break;
        default:
            break;
        }
    }

    //prebrojavanje samoglasnika
    for (int j = 0; j < poljeSamoglasnika.size(); j++)
    {
        switch (poljeSamoglasnika[j])
        {
        case 'a':
            a++;
            break;
        case 'e':
            e++;
            break;
        case 'i':
            i++;
            break;
        case 'o':
            o++;
            break;
        case 'u':
            u++;
            break;
        default:
            break;
        }
    }

    //ispis samoglasnika
    cout << "Broj pojavljivanja samogalnika: " << endl;
    cout << "a: " << "[" << a << "]" << endl;
    cout << "e: " << "[" << e << "]" << endl;
    cout << "i: " << "[" << i << "]" << endl;
    cout << "o: " << "[" << o << "]" << endl;
    cout << "u: " << "[" << u << "]" << endl;
    cout << "Ukupno samoglanika: " << poljeSamoglasnika.size();

}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
